## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicError

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class SequenceEnumerator

Class Serializer

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmNode

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class DynamicError

    public class DynamicError

implements Exception

  The DynamicError class contains information about a dynamic error detected during execution of a stylesheet, query, or XPath expression.

Constructor Summary
`DynamicError(string )` Create a new DynamicError, specifying the error message

Property Summary
`QName` | `ErrorCode` The error code, as a QName. May be null if no error code has been assigned
`String` | `Message` Return the message associated with this error
`String` | `ModuleUri` The URI of the query or stylesheet module in which the error was detected (as a string)
`int` | `LineNumber` The line number locating the error within a query or stylesheet module
`bool` | `IsWarning` Indicate whether this error is being reported as a warning condition. If so, applications may ignore the condition, though the results may not be as intended.
`bool` | `IsTypeError` Indicate whether this condition is a type error.

Method Summary
`String` | `ToString()` Return the error message.

Constructor Detail

### DynamicError

    public DynamicError(string )

  Create a new DynamicError, specifying the error message

Property Detail

### ErrorCode

    public QName ErrorCode {get; }

  The error code, as a QName. May be null if no error code has been assigned

### Message

    public String Message {get; }

  Return the message associated with this error

### ModuleUri

    public String ModuleUri {get; }

  The URI of the query or stylesheet module in which the error was detected (as a string)

  May be null if the location of the error is unknown, or if the error is not localized to a specific module, or if the module in question has no known URI (for example, if it was supplied as an anonymous Stream)

### LineNumber

    public int LineNumber {get; }

  The line number locating the error within a query or stylesheet module

  May be set to -1 if the location of the error is unknown

### IsWarning

    public bool IsWarning {get; set; }

  Indicate whether this error is being reported as a warning condition. If so, applications may ignore the condition, though the results may not be as intended.

### IsTypeError

    public bool IsTypeError {get; }

  Indicate whether this condition is a type error.

Method Detail

### ToString

    public String ToString()

  Return the error message.